explain_vasprintf_or_die(3)

NAME
explain_vasprintf_or_die - print to allocated string and report errors

SYNOPSIS
#include <libexplain/vasprintf.h>

int explain_vasprintf_or_die(char **data, const char *format, va_list ap);
int explain_vasprintf_on_error(char **data, const char *format, va_list ap);

DESCRIPTION
The explain_vasprintf_or_die function is used to call the vasprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_vasprintf(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_vasprintf_on_error function is used to call the vasprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_vasprintf(3) function, but still returns to the caller.

data
    The data, exactly as to be passed to the vasprintf(3) system call.

format
    The format, exactly as to be passed to the vasprintf(3) system call.

ap  The ap, exactly as to be passed to the vasprintf(3) system call.

RETURN VALUE
The explain_vasprintf_or_die function only returns on success, see vasprintf(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_vasprintf_on_error function always returns the value return by the wrapped vasprintf(3) system call.

EXAMPLE
The explain_vasprintf_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_vasprintf_or_die(data, format, ap);

SEE ALSO

vasprintf(3)
    print to allocated string

explain_vasprintf(3)
    explain vasprintf(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller